@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #ffffff;
    --text-color: #000000;
    --main-color: #00abf0;
    --bg-color-two:#005d82 99%;
    --shadow-color: rgba(0, 0, 0, .2);
}

#darkMode-icon {
    padding-left: 65px;
    font-size: 2rem;
    cursor: pointer;
}

.dark-mode {
    --bg-color: rgb(5, 1, 28) 99%;
    --text-color: #ffffff;
    --main-color: #00abf0;
    --shadow-color: rgba(0, 0, 0, .7);
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
    overflow: hidden;
}

section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background: var(--bg-color);
    display: flex;
    align-items: center;
    z-index: 100;
}

.header.sticky {
    border-bottom: .1rem solid rgba(0, 0, 0, .2);
}

.logo {
    position: relative;
    font-size: 25px;
    color: var(--text-color);
    text-decoration: none;
    font-weight: 600;
    margin-right: auto;
}

.header.sticky #darkMode-icon {
    opacity: .9;
}

.navbar a {
    font-size: 20px;
    color: var(--text-color);
    text-decoration: none;
    font-weight: 500;
    margin-left: 60px;
    transition: .3s;
}

.navbar a:hover,
.navbar a.active {
   color: var(--main-color);
}

#menu-icon {
    font-size: 2rem;
    color: var(--text-color);
    display: none;
    cursor: pointer;
}

.home {
    display: flex;
    justify-content: space-between;
    align-items: center ;
}

.home-content h1 {
    font-size: 50px;
    font-weight: 700;
    bottom: 30;
}

.home-content .text-animate {
    position: relative;
    width: 32.8rem;

}

.home-content .text-animate h3 {
    font-size: 3.2rem;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: .7px var(--main-color);
    background-image: linear-gradient(var(--main-color), var(--main-color));
    background-repeat: no-repeat;
    background-clip: border-box;
    -webkit-background-clip: text;
    background-position: -33rem 0;
    animation: homeBgText 6s linear infinite;
    animation-delay: 1s;
}

.home-content .text-animate h3::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    border-right: 2px solid var(--main-color);
    z-index: -1;
    animation: homeCursorText 6s linear infinite;
    animation-delay: 1s;
}

/* .home-content h3 {
    font-size: 32px;
    font-weight: 700;
    color: var(--main-color);
} */

.home-content p {
    position: relative;
    font-size: 20px;
    font-weight: 500;
    margin: 20px 0 40px;
    line-height: 1.2;
}

.home-content .btn-box {
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 345px;
    height: 50px;
    margin-bottom: 30%;
}

.btn-box a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 200px;
    height: 100%;
    background: var(--main-color);
    border: 2px solid var(--main-color);
    border-radius: 8px;
    font-size: 19px;
    color: var(--text-color);
    text-decoration: none;
    font-weight: 600;
    letter-spacing: 1px;
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.btn-box a:hover {
    background: var(--text-color);
    color: var(--main-color);
    border: 2px solid var(--text-color);
    box-shadow: 0 0 1rem var(--text-color);
}

.btn-box a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--text-color) ;
    z-index: -1;
    transition: .5s;
}

.home-sci {
    position: absolute;
    bottom: 15px;
    width: 250px;
    display: inline-flex;
    justify-content: space-between;
}

.home-sci a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background: transparent;
    border: 2px solid var(--main-color);
    border-radius: 50%;
    font-size: 30px;
    color: var(--main-color);
    text-decoration: none;
    margin: 3rem 1.5rem 3rem 0;
    transition: .5s ease;
}

.home-sci a:hover {
    background: var(--main-color);
    color: var(--text-color);
    box-shadow: 0 0 1rem var(--main-color);
}

.imgbox {
    position: relative;
    width: 100%;
    height: 100%;
}

.imgbox img {
    position: relative;
    height: 90%;
    width: calc(130% - 80px);
    top: -100px;
    right: 50px;
    transform: rotateY(180deg);
    animation: animateUser 4s linear infinite;
}

@keyframes animateUser {
    50% {
        right: 30px;
        top: -90px;
    }
}

.imgbox #splash {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-180deg);
    width: 155%;
    filter: saturate(200%);
    animation: animate 4s linear infinite;
}

@keyframes animate {
    50% {
        top: 49%;
        left: 51%;
        width: 150%;
    }
}

.home-img img{
    width: 28vw;
}

span {
    color: var(--main-color);
}

.about {
    display: flex;
    justify-content: center;
    align-items: center ;
    gap: 4rem;
}

.about-img img {
    width: 30vw;
}

.heading {
    font-size: 4.5rem;
    text-align: center;
}

.about-content h2 {
    text-align: left;
    font-weight: 600;
}

.about-content h3 {
    font-size: 3rem;
}

.about-content p {
    font-size: 1.9rem;
    margin: 2rem 4rem 3rem 0;
}

.work {
    margin-top: 4rem;
    background: var(--bg-color);
    color: var(--bg-color);
}

.work h2 {
    margin-bottom: 4rem;
    color: var(--text-color);
}

.work-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.work-container .work-box {
    position: relative;
    border-radius: 2rem;
    box-shadow: 0 0 1rem var(--text-color);
    overflow: hidden;
    display: flex;
}

.work-box img {
    width: 100%;
    transition: .5s ease;
}

.work-box:hover img {
    transform: scale(1.1);
}

.work-box .work-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, .1), var(--bg-color-two));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    transform: translateY(100%);
    transition: .5s ease;
}

.work-box:hover .work-layer {
    transform: translateY(0);
}

.work-layer h4 {
    font-size: 3rem;
}

.work-layer p {
    font-size: 1.6rem;
    margin: .3rem 0 1rem;
}

.work-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: #000000;
    border-radius: 50%;
}

.work-layer a i {
    font-size: 2rem;
    color: var(--bg-color);
}

.footer {
    display: flex;
    justify-content: end;
    align-items: center;
    flex-wrap: wrap;
    padding: 3rem 9%;
    background: var(--bg-color);
}

 .footer-iconTop a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    background: var(--main-color);
    border-radius: .8rem;
    transition: .5s ease ;
 }

 .footer-iconTop a:hover {
    box-shadow: 0 0 1rem var(--main-color);
 }

 .footer-iconTop a i {
    font-size: 2rem;
    color: var(--text-color);
 }

/* KEYFRAMES ANIMATION */

@keyframes homeBgText {
    0%,
    10%,
    100% {
        background-position: -33rem 0;
    }
    65%,
    85% {
        background-position: 0 0;
    }
}

@keyframes homeCursorText {
    0%,
    10%,
    100% {
        width: 0;
    }

    65%,
    78%,
    85% {
        width: 100%;
        opacity: 1;
    }

    75%,
    81% {
        opacity: 0;
    }
}

@keyframes showRight {
    100% {
        width: 0;
    }
}

@keyframes manipActiveHover {
    100% {
        pointer-events: auto;
    }
}

/* BREAKPOINTS */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }

    .home-sci {
        margin-top: 5%;
    }

    .home-img {
        margin-top: 4%;
    }

    .imgbox #home-me { 
        position: relative;
        right: 0;
        transform: rotateY(180deg);
        animation: animateUser 8s linear infinite;
    }

    .imgbox #splash {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-180deg);
        width: 155%;
        filter: saturate(200%);
        animation: animate 6s linear infinite;
        height: 40%;
    }
}

@media (max-width: 991px) {
    .header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .home-sci {
        margin-top: 5%;
    }

    .home-img {
        margin-top: 4%;
    }
    
    .imgbox #home-me { 
        position: relative;
        width: 30vw;
        right: 0;
        transform: rotateY(180deg);
        animation: animateUser 8s linear infinite;
    }

    .imgbox #splash {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-180deg);
        width: 155%;
        filter: saturate(200%);
        animation: animate 8s linear infinite;
        height: 50%;
    }

    .work {
        padding-bottom: 7rem;
    }

    .contact {
        min-height: auto;
    }

    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width: 768px) {
    #darkMode-icon {
        font-size: 2.5rem;
        display: block;
        margin-inline: 2rem;
    }

    #menu-icon {
        font-size: 3rem;
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow:  0 .5rem 1rem rgba(0, 0, 0, .2);
        display: none;
    }

    .navbar.active {
        display: block;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 4rem 0;
    }

    .home {
        flex-direction: column;
    }

    .home-content h3 {
        font-size: 2rem;
    }

    .home-content h1 {
        font-size: 3rem;
    }

    .home-content .btn-box {
        margin-bottom: 40px;
    }

    .home-sci {
        position: relative;
        margin-top: 5%;
    }

    .home-img {
        margin-top: 4%;
    }

    .home-img img {
        margin-top: 15%;
        position: relative;
        width: 55vw;
        right: 0;
    }
    
    .imgbox #home-me { 
        position: relative;
        width: 60vw;
        top: -100px;
        right: 0;
        transform: rotateY(180deg);
        animation: animateUser 8s linear infinite;
    }

    .imgbox #splash {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-180deg);
        width: 155%;
        filter: saturate(200%);
        animation: animate 6s linear infinite;
        height: 40%;
    }

    .about {
        flex-direction: column-reverse;
    }

    .about img {
        width: 80vw;
    }

    .work-box .work-layer {
        transform: translateY(0);
    }

    .work h2 {
        margin-bottom: 3rem;
    }

    .work-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 617px) {
    .work-container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 50%;
    }

    .contact form .input-box input {
        width: 100%;
    }
}

@media (max-width: 365px) {
    .home-img img {
        width: 90vw;
    }

    .about-img img {
        width: 60vw;
    }

    .footer {
        flex-direction: column-reverse;
    }

}